Loading...
Searching...
No Matches
MyPaintSymmetryState Struct Reference

Contains the basis for symmetry calculations. More...

`#include <mypaint-symmetry.h>`

## Data Fields

MyPaintSymmetryType | type
| The type of symmetry to use.
float | center_x
| The x coordinate of the symmetry center.
float | center_y
| The y coordinate of the symmetry center.
float | angle
| The angle of the symmetry, in radians.
float | num_lines
| The number of symmetry lines to use, only relevant when type is one of MYPAINT_SYMMETRY_TYPE_ROTATIONAL or MYPAINT_SYMMETRY_TYPE_SNOWFLAKE.

## Detailed Description

Contains the basis for symmetry calculations.

The data in this structure is used to calculate the matrices that are used for the actual symmetry calculations, and to determine when those matrices need to be recalculated.

See also
  MyPaintSymmetryData

## Field Documentation

## angle

float MyPaintSymmetryState::angle

The angle of the symmetry, in radians.

## center_x

float MyPaintSymmetryState::center_x

The x coordinate of the symmetry center.

## center_y

float MyPaintSymmetryState::center_y

The y coordinate of the symmetry center.

## num_lines

float MyPaintSymmetryState::num_lines

The number of symmetry lines to use, only relevant when type is one of MYPAINT_SYMMETRY_TYPE_ROTATIONAL or MYPAINT_SYMMETRY_TYPE_SNOWFLAKE.

## type

MyPaintSymmetryType MyPaintSymmetryState::type

The type of symmetry to use.

The documentation for this struct was generated from the following file:

- mypaint-symmetry.h